> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driv.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an existing Meeting



## OpenAPI

````yaml Commerce patch /meetings/{id}
openapi: 3.1.0
info:
  title: Commerce
  version: '3.0'
  contact:
    email: samuel@driv.ly
    name: Samuel Lippert
    url: https://driv.ly/
  description: Drivly Commerce API
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /meetings/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Meeting is uniquely identified by id
      - schema:
          type: integer
        name: depth
        in: query
        required: false
        description: The number of levels of related objects to include in the response
    patch:
      summary: Update an existing Meeting
      operationId: patch-meeting
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMeeting'
      responses:
        '200':
          description: Meeting Updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Meeting'
                  success:
                    type: boolean
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 401
                      message: Unauthorized
                    success: false
        '404':
          description: Meeting Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 404
                      message: Meeting Not Found
                    success: false
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 429
                      message: Too Many Requests
                    success: false
components:
  schemas:
    UpdateMeeting:
      $id: UpdateMeeting
      title: Meeting
      examples:
        - id: met_3kd93d3j93d2
          time: '2024-03-12T10:00:00Z'
          note: Discuss annual contract terms
          email: contact@email.com
          salesRep:
            id: rep_3kd93d3j93d2
            emails:
              - rep@email.com
            lastName: Smith
            firstName: John
            templates:
              - Template ID
            creditBands:
              - Good
              - Excellent
            primaryEmail: rep@email.com
            phoneNumbers:
              - 555-0182
            primaryPhoneNumber: 555-0182
            isAcceptingNewLeads: true
          phoneNumber: 555-0192
      properties:
        id:
          type: string
          description: Meeting is uniquely identified by id
        phoneNumber:
          type: string
          pattern: ^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$
          description: Phone Number is left for Meeting
        email:
          type: string
          format: idn-email
          description: Email is left for Meeting
        time:
          type: string
          format: date-time
          description: Meeting is scheduled for Time
        salesRep:
          oneOf:
            - type: string
            - $ref: '#/components/schemas/SalesRep'
          description: Meeting is with Sales Rep
        note:
          type: string
          description: Meeting has Note
      type: object
    Meeting:
      $id: Meeting
      examples:
        - id: met_3kd93d3j93d2
          time: '2024-03-12T10:00:00Z'
          note: Discuss annual contract terms
          email: contact@email.com
          salesRep:
            id: rep_3kd93d3j93d2
            emails:
              - rep@email.com
            lastName: Smith
            firstName: John
            templates:
              - Template ID
            creditBands:
              - Good
              - Excellent
            primaryEmail: rep@email.com
            phoneNumbers:
              - 555-0182
            primaryPhoneNumber: 555-0182
            isAcceptingNewLeads: true
          phoneNumber: 555-0192
      required:
        - id
        - phoneNumber
        - email
        - time
        - salesRep
      title: Meeting
      type: object
      properties:
        id:
          type: string
          description: Meeting is uniquely identified by id
        phoneNumber:
          type: string
          pattern: ^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$
          description: Phone Number is left for Meeting
        email:
          type: string
          format: idn-email
          description: Email is left for Meeting
        time:
          type: string
          format: date-time
          description: Meeting is scheduled for Time
        salesRep:
          oneOf:
            - type: string
            - $ref: '#/components/schemas/SalesRep'
          description: Meeting is with Sales Rep
        note:
          type: string
          description: Meeting has Note
    ErrorModel:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
            message:
              type: string
        success:
          type: boolean
    SalesRep:
      $id: SalesRep
      examples:
        - id: srep_8f9v2j1kd92j
          emails:
            - sales.rep@example.com
            - contact@example.com
          lastName: Smith
          firstName: Alice
          templates:
            - Welcome Template
            - Follow-up Template
          creditBands:
            - Prime
            - Subprime
          primaryEmail: sales.rep@example.com
          phoneNumbers:
            - +1-555-0123
            - +1-555-0456
          primaryPhoneNumber: +1-555-0123
          isAcceptingNewLeads: true
      title: Sales Rep
      type: object
      properties:
        id:
          type: string
          description: Contact is uniquely identified by id
        agent:
          oneOf:
            - type: string
            - $ref: '#/components/schemas/Agent'
          description: Contact is automated Agent
        address:
          oneOf:
            - type: string
            - $ref: '#/components/schemas/Address'
          description: Contact has Address
        primaryPhoneNumber:
          type: string
          pattern: ^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$
          description: Contact has Primary Phone Number
        primaryEmail:
          type: string
          format: idn-email
          description: Contact has Primary Email
        lastName:
          type: string
          description: Contact has Last Name
        firstName:
          type: string
          description: Contact has First Name
        emails:
          type: array
          items:
            type: string
            format: idn-email
          description: Contact has Email
        phoneNumbers:
          type: array
          items:
            type: string
            pattern: ^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$
          description: Contact has Phone Number
        roles:
          type: array
          items:
            type: string
          description: Contact has Role
        creditBands:
          type: array
          items:
            oneOf:
              - type: string
              - $ref: '#/components/schemas/CreditBand'
          description: Sales Rep accepts leads from Credit Band
        templates:
          type: array
          items:
            oneOf:
              - type: string
              - $ref: '#/components/schemas/Template'
          description: Sales Rep uses Template
        isAcceptingNewLeads:
          type: boolean
          description: Sales Rep is accepting new leads
      required:
        - lastName
        - firstName
        - id
    Agent:
      $id: Agent
      examples:
        - id: ai_3jks93ndk3s9
          model: gpt-4o
          prompt: Respond to the customer service request
          functions:
            - fnc_ed904md03684
      required:
        - id
        - model
      title: Agent
      type: object
      properties:
        id:
          type: string
          description: Agent is uniquely identified by id
        prompt:
          type: string
          description: Agent has Prompt
        model:
          type: string
          description: Agent has Agent Model
        functions:
          type: array
          items:
            type: string
          description: Agent has Function
    Address:
      $id: Address
      examples:
        - id: adr_2kj49d1msod2
          zip: '62704'
          city:
            name: Springfield
            state:
              code: IL
          line2: Apt 201
          line1: 456 Elm Street
      required:
        - id
        - city
        - zip
        - line1
      title: Address
      type: object
      properties:
        id:
          type: string
          description: Address is uniquely identified by id
        city:
          oneOf:
            - type: object
              properties:
                state:
                  oneOf:
                    - type: string
                    - $ref: '#/components/schemas/State'
                name:
                  type: string
              required:
                - state
                - name
            - $ref: '#/components/schemas/City'
          description: Address is located in City
        zip:
          type: string
          description: Address has ZIP
        line2:
          type: string
          description: Address has Address Line 2
        line1:
          type: string
          description: Address has Address Line 1
    CreditBand:
      $id: CreditBand
      title: Credit Band
      examples:
        - id: crb_39fjkd93nmd0
          name: Good
          isNS: false
          isPrime: true
          isUnknown: false
          minimumCreditScore: 600
          maximumCreditScore: 700
      properties:
        id:
          type: string
          description: Credit Band is uniquely identified by id
        minimumCreditScore:
          type: number
          description: Credit Band has Minimum Credit Score
        maximumCreditScore:
          type: number
          description: Credit Band has Maximum Credit Score
        name:
          type: string
          description: Credit Band has Name
        isUnknown:
          type: boolean
          description: Credit Band is unknown
        isNS:
          type: boolean
          description: Credit Band is NS
        isPrime:
          type: boolean
          description: Credit Band is prime
      type: object
      required:
        - id
        - name
    Template:
      $id: Template
      examples:
        - id: tmp_39fjkd93nmd0
          type: Email
          subject: Invoice Details
          messageText: Hello, please find your invoice attached.
      required:
        - id
        - type
        - messageText
      title: Template
      type: object
      properties:
        id:
          type: string
          description: Template is uniquely identified by id
        type:
          type: string
          description: Template has Template Type
        messageText:
          type: string
          description: Template has Message Text
        subject:
          type: string
          description: Template has Subject
    State:
      $id: State
      title: State
      properties:
        code:
          type: string
          description: State is uniquely identified by State Code
      type: object
      required:
        - code
    City:
      $id: City
      examples:
        - name: Springfield
          state:
            code: IL
      required:
        - state
        - name
      title: City
      type: object
      properties:
        state:
          oneOf:
            - type: string
            - $ref: '#/components/schemas/State'
          description: City is uniquely identified by State
        name:
          type: string
          description: City is uniquely identified by Name

````